---
title: Create an on-call page from an incident
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create an on-call page from an incident{% #create-an-on-call-page-from-an-incident %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/page |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/page |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/incidents/{incident_id}/page      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/incidents/{incident_id}/page      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/page  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/page |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/incidents/{incident_id}/page     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/page |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/page |

### Overview

Create an on-call page directly from an incident. This endpoint requires all of the following permissions:
`oncall_page``incident_write` 


OAuth apps require the `incident_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description               |
| ----------------------------- | ------ | ------------------------- |
| incident_id [*required*] | string | The UUID of the incident. |

### Request

#### Body Data (required)

On-call page creation payload.

{% tab title="Model" %}

| Parent field | Field                        | Type     | Description                                                                                                      |
| ------------ | ---------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]       | object   | On-call page data in a create request.                                                                           |
| data         | attributes [*required*] | object   | Attributes for creating an on-call page from an incident.                                                        |
| attributes   | description                  | string   | The description of the page.                                                                                     |
| attributes   | role                         | object   | A reference to an incident role for a page.                                                                      |
| role         | id [*required*]         | uuid     | The role identifier.                                                                                             |
| role         | type [*required*]       | enum     | The type of incident role for a page. Allowed enum values: `incident_user_defined_roles,incident_reserved_roles` |
| attributes   | services                     | [string] | List of affected services.                                                                                       |
| attributes   | tags                         | [string] | List of tags for the page.                                                                                       |
| attributes   | target                       | object   | The target recipient for a page.                                                                                 |
| target       | identifier [*required*] | string   | The identifier of the target (handle, UUID, or user UUID).                                                       |
| target       | type [*required*]       | enum     | The type of target for a page request. Allowed enum values: `team_handle,team_uuid,user_uuid`                    |
| attributes   | title                        | string   | The title of the page.                                                                                           |
| data         | type [*required*]       | enum     | Resource type for a page creation request. Allowed enum values: `page`                                           |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "A critical incident affecting production systems.",
      "role": {
        "id": "00000000-0000-0000-0000-000000000000",
        "type": "incident_user_defined_roles"
      },
      "services": [
        "web-store"
      ],
      "tags": [
        "env:prod"
      ],
      "target": {
        "identifier": "my-team-handle",
        "type": "team_uuid"
      },
      "title": "Production outage - SEV-1"
    },
    "type": "page"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with a page UUID.

| Parent field | Field                  | Type   | Description                                                              |
| ------------ | ---------------------- | ------ | ------------------------------------------------------------------------ |
|              | data [*required*] | object | Page UUID data in a response.                                            |
| data         | id [*required*]   | uuid   | The UUID of the created page.                                            |
| data         | type [*required*] | enum   | Resource type for a page UUID response. Allowed enum values: `page_uuid` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "page_uuid"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export incident_id="CHANGE_ME" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/incidents/${incident_id}/page" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "A critical incident affecting production systems.",
      "services": [
        "web-store"
      ],
      "target": {
        "identifier": "my-oncall-team",
        "type": "team_handle"
      },
      "title": "Production outage - SEV-1"
    },
    "type": "page"
  }
}
EOF 
                
{% /tab %}
